﻿using HarmonyLib;
using RimWorld;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Verse;

namespace RIMMSqol
{
    [HarmonyPatch(typeof(MainButtonsRoot))]
    [HarmonyPatch("MainButtonsOnGUI")]
    [HarmonyPatchNamespace("RIMMSQoL.KeyBindings")]
    static public class MainButtonsRoot_MainButtonsOnGUI
    {
        private static KeyBindingDef kb;

        public static bool Prepare()
        {
            kb = DefDatabase<KeyBindingDef>.GetNamedSilentFail("RIMMSQoL_OpenModMenu");
            return kb != null;
        }

        static void Postfix()
        {
            if ( kb.KeyDownEvent )
            {
                Dialog_ModSettings ms = new Dialog_ModSettings(QOLMod.getModHandle());
                Find.WindowStack.Add(ms);
                Verse.Sound.SoundStarter.PlayOneShotOnCamera(SoundDefOf.DialogBoxAppear, null);
            }
        }
    }
}
