﻿using RimWorld;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Verse;

namespace RIMMSqol
{
    class QOLBackstoryCostDef : Def
    {
        public string identifier;
        public float cost;
        [DefaultValue(0.0), Description("Seperate cost for removing the trait. Zero means identical to normal cost.")]
        public float costRemoval;
        public override void ResolveReferences()
        {
            base.ResolveReferences();
            BackstoryDef bs = DefDatabase<BackstoryDef>.GetNamedSilentFail(identifier);
            if ( bs != null )
            {
                label = bs.TitleShortFor(Gender.None);
            }
            else
            {
                Log.Warning("Missing backstory for identifier: " + identifier);
            }
        }
    }
}
